Subject: bug#57346: undeclared identifier 'CLOCK_MONOTONIC'

From: Po Lu <[email-masked]>
Date: Tue, 23 Aug 2022 15:12:23 +0800

Gerd Möllmann <[email-masked]> writes:

> I don't know what version Glenn is building (it just says x86_74-darwin,
> AFAICT), so maybe this is not useful, so just in case...
>
> On my system it says for 'man clock_gettime'
>
> DESCRIPTION
> ...
>      CLOCK_MONOTONIC    clock that increments monotonically, tracking the time since an arbitrary point, and will
>                         continue to increment while the system is asleep.
> ...
> HISTORY
>      These functions first appeared in Mac OSX 10.12

So I guess OS X 10.12 is relatively new, and the information I saw is
out of date.  We support much older versions anyway, so if nobody has
any better ideas I will make the vsync support conditional on
clock_gettime.